<?php

class m120927_143321_tbl_productos extends CDbMigration
{
	public function safeUp() {
            $this->createTable('tbl_productos', array(
                'id' => 'pk',
                'titulo' => 'string',                
                'n_agentes' => 'integer',
                'n_publicaciones' => 'integer',                
                
            ));  
             
            $this->createTable('tbl_subscripciones', array(
                'id' => 'pk',
                'id_usuario' => 'integer',
                'id_producto' => 'integer',                
                'estado' => 'string',
                'fecha_inicio' => 'datetime',
                'fecha_fin' => 'datetime',
            ));  
	}

	public function safeDown()
	{
            $this->dropTable('tbl_productos');
            $this->dropTable('tbl_subscripciones');
	}
}